Name:           libass
Version:        0.15.0
Release:        2
Summary:        Portable subtitle renderer for the ASS/SSA subtitle format
License:        ISC
URL:            https://github.com/libass

Source0:        https://github.com/libass/libass/releases/download/%{version}/libass-%{version}.tar.xz
BuildRequires:  gcc nasm pkgconfig(fontconfig) >= 2.10.92 pkgconfig(freetype2) >= 9.10.3
BuildRequires:  pkgconfig(fribidi) >= 0.19.0 pkgconfig(harfbuzz) >= 0.9.5 pkgconfig(libpng) >= 1.2.0

Patch0:         CVE-2020-36430.patch

%description
libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) 
subtitle format. It is mostly compatible with VSFilter.

%package        devel
Summary:        Development files for libass
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The package contains libraries and header files for developing of libass applications.

%package_help

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%delete_la_and_a

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libass.pc

%files help
%defattr(-,root,root)
%doc Changelog

%changelog
* Thu Jul 29 2021 houyingchao <houyingchao@huawei.com> - 0.15.0-2
- Fix CVE-2020-36430

* Fri Feb 5 2021 zhanghua <zhanghua40@huawei.com> - 0.15.0-1
- update to 0.15.0 to fix CVE-2020-26682

* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.14.0-3
- Package init
